Subject: Re: [BUG -next 20181008] list corruption with "mm/slub: remove useless condition in deactivate_slab"

From: Andrew Morton <[email-masked]>
Date: Tue, 9 Oct 2018 16:24:40 -0700

On Tue, 9 Oct 2018 08:35:00 +0200 Heiko Carstens <[email-masked]> wrote:

> with linux-next for 20181008 I can reliably crash my system with lot's of
> debugging options enabled on s390. List debugging triggers the list
> corruption below, which I could bisect down to this commit:
> 
> fde06e07750477f049f12d7d471ffa505338a3e7 is the first bad commit
> commit fde06e07750477f049f12d7d471ffa505338a3e7
> Author: Pingfan Liu <[email-masked]>
> Date:   Thu Oct 4 07:43:01 2018 +1000
> 
>     mm/slub: remove useless condition in deactivate_slab
> 
>     The var l should be used to reflect the original list, on which the page
>     should be.  But c->page is not on any list.  Furthermore, the current code
>     does not update the value of l.  Hence remove the related logic
> 
>     Link: http://lkml.kernel.org/r/[email-masked]
>     Signed-off-by: Pingfan Liu <[email-masked]>
>     Acked-by: Christoph Lameter <[email-masked]>
>     Cc: Pekka Enberg <[email-masked]>
>     Cc: David Rientjes <[email-masked]>
>     Cc: Joonsoo Kim <[email-masked]>
>     Signed-off-by: Andrew Morton <[email-masked]>
>     Signed-off-by: Stephen Rothwell <[email-masked]>
> 
> list_add double add: new=000003d1029ecc08, prev=000000008ff846d0,next=000003d1029ecc08.
> ------------[ cut here ]------------
> kernel BUG at lib/list_debug.c:31!

Thanks much.  I'll drop
mm-slub-remove-useless-condition-in-deactivate_slab.patch.